Essayer cette requête dans le sandbox
GEThttps://sandbox.api.lomi.africa/merchants/{id}/arr
Paramètres de chemin
Aperçu
Get merchant ARR
Annual Recurring Revenue (MRR × 12) for the organization linked to the API key (org default currency). Scoped to that org even if the merchant belongs to multiple organizations.
Quand l’utiliser
Utilisez cet endpoint quand vous devez exécuter GET /merchants/{id}/arr (Get merchant ARR).
Authentification
Les routes marchandes nécessitent une clé API dans l’en-tête X-API-KEY (voir Vue d’ensemble). Utilisez une clé test avec https://sandbox.api.lomi.africa et une clé live avec https://api.lomi.africa.
Endpoint
GET /merchants/{id}/arr
URLs de base :
https://sandbox.api.lomi.africahttps://api.lomi.africa
Requête
Paramètres d’URL
| Nom | Obligatoire | Schéma | Description |
|---|---|---|---|
id | Oui | - | Merchant UUID |
Paramètres de requête
Aucun paramètre de requête.
Réponses
| Statut | Description |
|---|---|
200 | - |
Erreurs
Les erreurs suivent un format JSON standard. 401 : clé manquante ou invalide. 404 : ressource introuvable. 429 : trop de requêtes. Pour les créations, envoyez une clé d’idempotence si votre flux le permet.
Exemple
curl -sS -X GET "https://sandbox.api.lomi.africa/merchants/value/arr" \
-H "X-API-KEY: $LOMI_SECRET_KEY"OpenAPI
- operationId:
MerchantsController_getArr - Operation:
GET /merchants/{id}/arr
Schémas complets et Try it : référence API.